gawk (1:5.3.2-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 14 Feb 2026 19:50:54 -0800

gawk (1:5.3.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1055548)

 -- Adrian Bunk <bunk@debian.org>  Mon, 05 May 2025 15:52:48 +0300

gawk (1:5.2.1-2) unstable; urgency=medium

  * Handle a new info file in gawk-doc. (Closes: #1031203)

 -- Adrian Bunk <bunk@debian.org>  Sun, 19 Feb 2023 15:30:53 +0200

gawk (1:5.2.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #1023541)
    - Fixes double free with bignum. (Closes: #1026436)

 -- Adrian Bunk <bunk@debian.org>  Sun, 12 Feb 2023 23:15:49 +0200

gawk (1:5.1.0-1) unstable; urgency=high

  * New upstream release. (Closes: #963780)

 -- Adrian Bunk <bunk@debian.org>  Wed, 10 Feb 2021 10:42:58 +0200

gawk (1:5.0.1+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #940474)
    - Some parser crashes were fixed. (Closes: #816277)
    - Includes manpage fixes. (Closes: #911759, #940321)
    - Incorrect init_debug() prototype was fixed. (Closes: #748408)
    - An incorrect Spanish translation is no longer used.
      (Closes: #725464)

 -- Adrian Bunk <bunk@debian.org>  Sun, 03 Nov 2019 21:22:40 +0200

gawk (1:4.2.1+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #907552)
  * Build-depend on locales-all instead of generating own locales.

 --  Adrian Bunk <bunk@debian.org>  Fri, 14 Sep 2018 18:25:25 +0300

gawk (1:4.1.4+dfsg-1) unstable; urgency=medium

  * New maintainer.
  * New upstream release.
  * Add upstream public key for uscan.
  * Standards-Version: 3.9.8 (no changes)

 -- Adrian Bunk <bunk@debian.org>  Wed, 25 Jan 2017 16:06:30 +0000

gawk (1:4.1.3+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Closes: #808297.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Dec 2015 13:56:00 +0100

gawk (1:4.1.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Switch repacked source to xz compression.
  * Add dependency on libmpfr-dev for the new multiple precision floating-point
    functionality.
  * Drop PO file patches - applied upstream. Rebuilding the GMO files is no
    longer needed.
  * Add patch to fix some manpage formatting issues.
  * Add patch from upstream to correctly use DESTDIR for extensions.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Fri, 18 Apr 2014 11:36:36 +0200

gawk (1:4.0.1+dfsg-3) unstable; urgency=low

  * Simplify invocation of test suite and honour DEB_BUILD_OPTIONS=nocheck.
    Closes: #695162.
  * Ensure config.{sub,guess} are updated for new architectures.
    Closes: #714795.
  * Make sure that binaries don't set RPATH.
  * Update to Standards-Version 3.9.5, no changes needed.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Tue, 08 Apr 2014 00:44:30 +0200

gawk (1:4.0.1+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change Depends back to Pre-Depends (closes: #702524).

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 16 Mar 2013 12:31:51 +0100

gawk (1:4.0.1+dfsg-2) unstable; urgency=low

  * debian/control:
    - Build-Depends on libreadline-dev for readline support in dgawk.
    - Change Pre-Depends to Depends (OK now that base-files Pre-Depends: awk).
  * debian/patches: New PO files for Italian and Vietnamese from upstream.
  * debian/rules: Rebuild GMO files during build.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Thu, 17 May 2012 11:23:46 +0200

gawk (1:4.0.1+dfsg-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * debian/compat: Update to debhelper compat level 9.
  * debian/control:
    - Bump Standards-Version to 3.9.3.
    - Mark as Multi-Arch: foreign.  Closes: #666094.
  * debian/copyright: Update and use machine-readable format.
  * debian/rules:
    - Restore display of failed tests.
    - Don't compress example awk code.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Thu, 29 Mar 2012 12:30:26 +0200

gawk (1:4.0.0.h+dfsg-1) experimental; urgency=low

  * New upstream beta release:
    - Fix the cases where terminators are incomplete when RS == "".
      Closes: #619738.
  * debian/rules:
    - Enable security hardening build flags via dpkg-buildflags.
    - Simplify using debhelper dh overrides.
    - Generate locales used in test suite.
  * debian-control:
    - Build-Depends on dpkg-dev for dpkg-buildflags and locales for test suite.
    - Suggests gawk-doc package.
  * 18_de.po-typos.diff: Remove, applied upstream.
  * 19_gawk.1-hyphen.diff: Remove, applied upstream.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Thu, 02 Feb 2012 17:40:51 +0100

gawk (1:4.0.0+dfsg-1) experimental; urgency=low

  * Upload to experimental.
  * New upstream release.  Closes: #638428.
    - Interval expressions are now default for GNU Awk.  Closes: #376851.
  * debian/copyright: Update year and version.
  * debian/rules: Drop unneeded --enable-switch, this is now the default.
  * debian/control
    - Add myself to Uploaders.
    - Bump Standards-Version to 3.9.2.
  * debian/source/format: Add, source format '3.0 (quilt)'.
  * debian/{prerm,postinst}: Add 'set -e' and debhelper token.
  * 18_de.po-typos.diff: Refresh.
  * 19_gawk.1-hyphen.diff: Add, fix hyphens used as minus sign.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Thu, 25 Aug 2011 15:07:15 +0200

gawk (1:3.1.8+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.  Closes: #627065.
    - Correct precision for %s in non-C locales.  Closes: #581793, #613156.
  * Use system-wide libsigsegv.
  * Change version suffix from .dfsg to +dfsg.
  * 18_de.po-typos.diff: Refresh.
  * 19_fr.po-typos.diff: Remove, applied upstream.

 -- Jeroen Schot <schot@a-eskwadraat.nl>  Wed, 06 Jul 2011 14:03:04 +0200

gawk (1:3.1.7.dfsg-5) unstable; urgency=low

  * Fix manpage links.

 -- Arthur Loiret <aloiret@debian.org>  Sat, 20 Mar 2010 11:27:57 +0000

gawk (1:3.1.7.dfsg-4) unstable; urgency=low

  * Fix testsuite display.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 19 Mar 2010 21:53:20 +0000

gawk (1:3.1.7.dfsg-3) unstable; urgency=low

  * Ignore machine and locale dependant testsuite failures.  Closes: #571782.

 -- Arthur Loiret <aloiret@debian.org>  Sun, 28 Feb 2010 12:06:11 +0000

gawk (1:3.1.7.dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules: Fix patch stamp.
  * debian/control:
    - Depends on ${misc:Depends}.
    - Bump Standards-Version to 3.8.4.

 -- Arthur Loiret <aloiret@debian.org>  Sat, 27 Feb 2010 22:49:33 +0000

gawk (1:3.1.7.dfsg-1) experimental; urgency=low

  * New upstream release.
  * 05_arm_align.dpatch, 20_manpage.dpatch: Remove, applied upstream.
  * Convert packaging to debhelper and quilt:
    - Update debian/control and debian/rules accordingly.
    - debian/compat: New.
  * Update other patches.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 06 Nov 2009 14:37:32 +0000

gawk (1:3.1.6.dfsg-4) unstable; urgency=low

  * Support Renesas SH4 (Nobuhiro Iwamatsu).  Closes: #536198.
  * debian/patches/20_eval.c-utf-8-strcat.dpatch: Remove redundant patch
    (Michael Vogt).  Closes: #534573.
  * 20_manpage.dpatch: Add, fix gawk manpage (Tommi Vainikainen).
    Closes: #298355.
  * debian/control: Bump Standards-Version to 3.8.3.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 06 Nov 2009 10:53:25 +0000

gawk (1:3.1.6.dfsg-3) unstable; urgency=low

  * debian/patches/05_arm_align.dpatch: Add, fixes rand.awk test case
    alignment problem on arm/armel.  Closes: #497180.
  * debian/rules: Fail the build in case of regression in the testsuite.
  * debian/copyright: Update for GPL v3.
  * debian/watch: Add.  Closes: #497181.

 -- Arthur Loiret <aloiret@debian.org>  Thu, 28 May 2009 09:24:47 +0000

gawk (1:3.1.6.dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control: Bump Standards-Version to 3.8.1.

 -- Arthur Loiret <aloiret@debian.org>  Fri, 08 May 2009 10:27:17 +0000

gawk (1:3.1.6.dfsg-1) experimental; urgency=low

  * New maintainer.
  * New upstream release.  Closes: #451614
    - Upload to experimental until we are sure testsuite passes on all archs.
    - Return right RLENGTH in match functions.  Closes: #385869
    - Fix SIGABRT when LANG=*.UTF-8 on amd64.  Closes: #410299
    - Return correct position values for regular expressions.  Closes: #432014
    - Fix sub() behaviour with MBS_SUPPORT defined.  Closes: #369277
    - Avoid bogus error setting BINMODE on command line.  Closes: #369278
    - Handle NULL character properly.  Closes: #369279
    - Fix FIELDWIDTHS off-by-one error.  Closes: #369280
    - Fix some memory leaks on match(s,r).  Closes: #440799
  * Already fixed bugs in previous versions:
    - Fix some memory corruptions.  Closes: #408391, #425842.
    - Print correct string length after index and sub.  Closes: #471664
  * Update patches:
    - debian/patches/18_de.po-typos.dpatch: Refresh.
    - debian/patches/25_free_wstr-and-multiple-frees.dpatch: Remove, already
      applied upstream.
    - debian/patches/01_po-Makefile.in.in.dpatch: Remove, fixed upstream.
    - debian/patches/19_io.c-invalid-free.dpatch: Remove, fixed upstream.
  * debian/patches/19_fr.po-typos.dpatch: Add, fix some typos in the French
    translation.  Closes: #390577
  * debian/patches/00list: Update.
  * debian/copyright: Update.
  * debian/control:
    - Bump Standards-Version to 3.8.0.
    - Add Homepage filed.
  * debian/rules:
    - Bump version to 3.1.6.
    - Improve a bit.
    - Fix prefix in make install.
    - Don't install obsolete README.FIRST.
    - Configure with --enable-switch.  Closes: #307510

 -- Arthur Loiret <arthur.loiret@gmail.com>  Thu, 21 Aug 2008 19:18:25 +0000

gawk (1:3.1.5.dfsg-4.1) unstable; urgency=low

  * add 25_free_wstr-and-multiple-frees.dpatch: brought in some changes from
    current CVS, to resolve an issue with multiple frees (Closes: 418790).

    Thanks to Micah Cowan <micah@cowan.name> for the patch.

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 15 Mar 2008 18:07:50 +0100

gawk (1:3.1.5.dfsg-4) unstable; urgency=low

  * doc/gawk.info, doc/gawk.texi, doc/gawkinet.info, doc/gawkinet.texi:
    GFDL with invariant sections - removed and repackaged as 'gawk-doc'
    for non-free.  Closes: #357257
   * debian/rules (build): touch removed .info and .texi files in doc/ as a
     minimally intrusive (if nasty) way of pulling a fast one on the build
     system.
   * debian/rules (binary-arch): don't compress info files, instead remove
     the empty ones that now get installed.
   * debian/postinst: don't invoke install-info.
   * debian/prerm: likewise.

  * 20_eval.c-utf-8-strcat.dpatch: updated based on discussion with
    upstream to only manipulate 'l' not 'r'.

  * debian/postrm: remove pointless trailing 'exit 0'.
  * debian/prerm: #! as sh -e, rather than set-ing -e to be consistent
    with other maintainer scripts.

  * debian/rules (binary-arch): remove 2nd redundant chown to root.root of
    debian/tmp.  Move -maxdepth argument to find before -type to shut
    recent versions of find up.  Drop use of $(PWD) since it's unnecessary
    and we weren't using it consistently anyway.

 -- James Troup <james@nocrew.org>  Tue, 18 Apr 2006 03:44:06 +0100

gawk (1:3.1.5-3) unstable; urgency=low

  * 20_eval.c-utf-8-strcat.dpatch: New patch from Karel Zak and Aharon
    Robbins to fix string concatenation when using a UTF-8 locale.  Thanks
    to Matej Vela for the test case.  Closes: #347490

 -- James Troup <james@nocrew.org>  Mon, 27 Mar 2006 02:46:53 +0100

gawk (1:3.1.5-2) unstable; urgency=low

  * 19_io.c-invalid-free.dpatch: New patch from James Vega
    <jamessan@debian.org> to prevent a segfault when an invalid filename
    is specified.  Closes: #344353

 -- James Troup <james@nocrew.org>  Sun, 19 Feb 2006 06:45:47 +0000

gawk (1:3.1.5-1) unstable; urgency=low

  * New upstream release.  Closes: #324060

  * 04_it.po-charset.dpatch, 10_dfa.c-disable-cache.dpatch,
    11_dfa.c-ignorecase.dpatch, 12_dfa.c-ignorecase-range.dpatch,
    13_dfa.c-charclass-bracket.dpatch, 15_builtin.c-fix-wide-char.dpatch,
    16_awkgram.y-stop-at-eof.dpatch, 17_fix-non-numeric-constants.dpatch:
    merged upstream - removed.

  * 14_io.c-fix-redirect-hang.dpatch: superseded by different upstream fix
    - removed.

  * debian/rules (binary-arch): remove '/awk' from 'datadir' and
    'libexecdir' we pass to 'make install' as gawk adds that itself now.

  * debian/postinst: Replace non-POSIX redirection &> with 2>&1.  Thanks
    to Brendan O'Dea.  Closes: #308135

  * 18_de.po-typos.dpatch: new patch from Jens Seidel to fix typos in the
    German PO file.  Closes: #314081

  * debian/rules: apply patch from NIIBE Yutaka for cross-building.
    Closes: #283646

  * debian/control (Standards-Version): update to 3.6.2.1.

 -- James Troup <james@nocrew.org>  Wed,  7 Dec 2005 03:47:55 +0000

gawk (1:3.1.4-2) unstable; urgency=low

  * 14_io.c-fix-redirect-hang.dpatch: new patch which reverts io.c changes
    that wait() when a redirect hits EOF without checking whether or not
    this is the kind of redirect which would have an orphan to wait() on.
    Closes: #263964

  * debian/control (Build-Depends): Add a versioned build-depends on a
    fixed binutils for m68k.  Closes: #278135

  * Merge in NMU changes.  Many thanks to Fumitoshi UKAI.  Closes:
    #276206, #277122, #266519, #276201

  * 11_dfa.c-ignorecase.dpatch, 12_dfa.c-ignorecase-range.dpath,
    13_dfa.c-charclass-bracket.dpatch: revert to old-style dpatch patch so
    that it works for me.

  * 10_dfa.c-no-go_fast.dpatch: replaced...
  * 10_dfa.c-disable-cache.dpatch: ... with this.  Which is upstream's fix
    for the same problem.

  * 15_builtin.c-fix-wide-char.dpatch: new patch by Stephen Kasal to fix
    wide-char to{lower,upper}() handling.

  * 16_awkgram.y-stop-at-eof.dpatch: new patch by Andreas Schwab to stop
    gawk reading past the end of the file for an awk script that is big
    enough to fill more than a buffer's worth and does not end with a
    newline.

  * 17_fix-non-numeric-constants.dpatch: new patch by Aharon Robbins to
    improve handling of non-numeric constants so that numbers like 00.34
    don't get confused as being octal.

 -- James Troup <james@nocrew.org>  Fri, 26 Nov 2004 18:30:42 +0000

gawk (1:3.1.4-1.2) unstable; urgency=low

  * NMU to fix RC bugs
  * 12_dfa.c-ignorecase-range.dpath: new patch by Fumitoshi UKAI
    to fix CASEIGNORE match on [a-z] or [A-Z] in multibyte locales (UTF-8,.)
    closes: Bug#276206
  * 13_dfa.c-charclass-bracket.dpatch: new patch by Fumitoshi UKAI
    to fix wrong match '[' against character class such as [[:space:]]
    in multibyte locales (UTF-8, ...)
    closes: Bug#277122

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 20 Oct 2004 01:41:40 +0900

gawk (1:3.1.4-1.1) unstable; urgency=low

  * NMU to fix RC bugs
  * 10_dfa.c-no-go_fast.dpatch: new patch by Fumitoshi UKAI
     to fix odd regexp matching in multibyte locales (UTF-8, CJK, ..)
     closes: Bug#266519
  * 11_dfa.c-ignorecase.dpatch: new patch by Fumitoshi UKAI
     to fix CASEIGNORE match on [:upper:] and [:lower:] in
     multibyte locales (UTF-8, CJK, ...)
     closes: Bug#276201

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 19 Oct 2004 01:16:27 +0900

gawk (1:3.1.4-1) unstable; urgency=low

  * New upstream release.

  * 02_fix-ascii.dpatch, 03_fix-high-char-ranges.dpatch: merged upstream -
    removed.

 -- James Troup <james@nocrew.org>  Mon,  2 Aug 2004 01:06:44 +0100

gawk (1:3.1.3-3) unstable; urgency=low

  * debian/rules (binary-arch): remove /usr/share/info/dir* to
    workaround install-info brain damage (cf #213524).  Closes: #218946
  * debian/rules (binary-arch): include README in the package.  Closes: #236225
  * 04_it.po-charset.dpatch: new patch from "Lorenzo M. Catucci"
    <lorenzo@sancho.ccd.uniroma2.it> to fix the charset of the Italian
    translation.  Closes: #214184

 -- James Troup <james@nocrew.org>  Thu, 18 Mar 2004 09:36:29 +0000

gawk (1:3.1.3-2) unstable; urgency=low

  * debian/control (Standards-Version): bump to 3.6.1.0.

  * 02_fix-ascii.dpatch: new patch from upstream to fix [[:ascii:]].
    Thanks to Aleksey Cheusov <vle@gmx.net> for reporting the bug and
    forwarding it upstream.  Closes: #204701

  * 03_fix-high-char-ranges.dpatch: new patch from upstream to fix
    [\x80-\xff].  Thanks to Aleksey Cheusov <vle@gmx.net> for reporting
    the bug and forwarding it upstream.  Closes: #204699

 -- James Troup <james@nocrew.org>  Tue,  9 Sep 2003 01:16:01 +0100

gawk (1:3.1.3-1) unstable; urgency=low

  * New upstream release.
    * Fix problems with gawk eating records.  Closes: #193753

  * 03_grow_iop_buffer-fix.dpatch, 04_fix-strtonum.dpatch,
    05_fix-savetail.dpatch: removed; merged upstream.

  * 02_pgawk.1.dpatch: removed; obsoleted by upstream change to use a
    (hard-)link for pgawk.1 rather than a .so one.
  * debian/rules (binary-arch): recreate pgawk.1 as a symlink rather than
    a hardlink.

  * debian/rules: update version number.
  * debian/copyright: likewise.

  * debian/rules (binary-arch): remove gawk and pgawk hard links and
    replace them with their real de-versioned counterparts.

 -- James Troup <james@nocrew.org>  Wed,  9 Jul 2003 16:01:16 +0100

gawk (1:3.1.2-4) unstable; urgency=low

  * debian/control (Build-Depends): add bison; needed with
    05_fix-savetail.dpatch.
  * debian/rules (clean): remove awkgram.c to eliminate it from the
    diff.gz.

 -- James Troup <james@nocrew.org>  Fri,  6 Jun 2003 00:46:33 +0100

gawk (1:3.1.2-3) unstable; urgency=low

  * 04_fix-strtonum.dpatch: new patch to fix 'strtonum(13)'.  Thanks to
    Aharon Robbins <arnold@skeeve.com>.  Thanks to Edd Dumbill
    <ejad@debian.org> for the report.  Closes: #159279

  * 05_fix-savetail.dpatch: new patch to fix savetail regression.  Thanks
    to Stepan Kasal <kasal@ucw.cz>.  Thanks to Nikita V. Youshchenko
    <yoush@cs.msu.su> for the report. Closes: #188345

  * debian/control (Standards-Version): bump to 3.5.10.0.

 -- James Troup <james@nocrew.org>  Thu,  5 Jun 2003 20:36:08 +0100

gawk (1:3.1.2-2) unstable; urgency=low

  * 03_grow_iop_buffer-fix.dpatch: new patch to fix 'Cannot allocate
    memory' errors.  Thanks to Aharon Robbins <arnold@skeeve.com>.
    Closes: #186614

  * debian/rules (build): depend on patch-stamp rather than patch.

  * debian/control (Standards-Version): bump to 3.5.9.0.

 -- James Troup <james@nocrew.org>  Sun,  6 Apr 2003 12:49:03 +0100

gawk (1:3.1.2-1) unstable; urgency=low

  * New upstream release.
    * pgawk.1 is now a link to gawk.1.  Closes: #184978.
  * debian/rules: update version numbers and copyright.
  * debian/copyright: likewise.

  * Move to dpatch; existing non-debian/ changes split into
    01_po-Makefile.in.in.dpatch.  The security fix to igawk and missing
    <stdlib.h> #inclusion for pwcat and grcat have been fixed upstream.
  * debian/rules: include /usr/share/dpatch/dpatch.make.
  * debian/rules (build): depend on patch.
  * debian/rules (clean): depend on unpatch.  Remove debian/patched.
  * debian/rules (.PHONY): add 'patch' and 'unpatch'.
  * debian/control (Build-Depends): add dpatch.

  * debian/rules: use install_foo convenience variables.

  * debian/control (Standards-Version): bump to 3.5.8.0.
  * debian/postinst, debian/prerm: no longer do /usr/doc symlinks.

  * 02_pgawk.1.dpatch: correct .so link to point to man1/gawk.1 (rather
    than just gawk.1) as required by our man-db.

  * debian/control (Depends): drop depend on debianutils >= 1.7 (igawk
    security fix by upstream doesn't use mktemp).

 -- James Troup <james@nocrew.org>  Sun, 16 Mar 2003 22:01:23 +0000

gawk (1:3.1.1-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: update upstream version number.
  * debian/copyright: likewise.
  * po/Makefile.in.in: fix $localedir so that the .mo files get installed
    into the right place.
  * debian/rules (binary-arch): make install now also installs a
    pgawk-$version, remove that too.

 -- James Troup <james@nocrew.org>  Sat, 18 May 2002 18:34:42 +0100

gawk (1:3.1.0-3) unstable; urgency=high

  * awklib/eg/prog/igawk.sh: fix typo in security fix, so we define $ige
    and $igs and not $igs twice.  Thanks to Guillaume Cottenceau
    <gc@mandrakesoft.com>.

 -- James Troup <james@nocrew.org>  Thu, 17 Jan 2002 15:09:22 +0000

gawk (1:3.1.0-2) unstable; urgency=low

  * po/Makefile.in.in: fix gnulocaledir to not include /share again.
    Closes: #101516, #107720.
  * debian/changelog: remove local-variables stuff.
  * debian/control (Build-Depends): add gettext.  Avoids implicit
    declarations in local intl/ copy.
  * debian/rules: add "-Wall" to CFLAGS.
  * awklib/eg/lib/pwcat.c: #include <stdlib.h> to get exit() prototype.
  * awklib/eg/lib/grcat.c: likewise.

 -- James Troup <james@nocrew.org>  Mon, 17 Dec 2001 22:34:03 +0000

gawk (1:3.1.0-1) unstable; urgency=low

  * New upstream version.

 -- James Troup <james@nocrew.org>  Thu,  7 Jun 2001 19:42:21 +0100

gawk (1:3.0.6-1) unstable; urgency=low

  * New upstream version, closes: #68537, #85747.
  * debian/rules: define a strip alias which removes the .comment and
    .note sections.
  * debian/rules (binary-arch): use it.
  * debian/postrm: obsolete; removed.
  * debian/rules: don't try to install postrm.
  * debian/prerm: call install-info and update-alternatives here instead.
  * debian/control (Maintainer): set to me; Chris' old email address is
    bouncing and it's been almost 3 years.
  * debian/rules: lots of minor changes; non-POSIX {,} expressions
    removed, etc.
  * debian/copyright: update upstream URL, maintainer email, dates.

 -- James Troup <james@nocrew.org>  Wed, 14 Mar 2001 17:30:52 +0000

gawk (1:3.0.4-4) frozen unstable; urgency=high

  * mbc.c: default to ASCII. [#63378, #53391, #61368, #62239]
  * Richard: this fixes a severity `critical' bug where gawk failed
    miserably to accept 8bit input.  It's a trivial change, which I've
    been testing for a while now.

 -- James Troup <james@nocrew.org>  Tue,  2 May 2000 20:59:05 +0100

gawk (1:3.0.4-3) unstable; urgency=low

  * debian/rules (binary-arch): changes for FHS compliance.
  * debian/postinst: add symlink to /usr/doc/ on configure.  Update
    arguments to update-alternatives and install-info in line with FHS
    changes.
  * debian/prerm: new file; remove symlink to /usr/doc/.
  * debian/control (Standards-Version): updated to 3.1.1.1.
  * debian/rules (binary-arch): install new prerm.  Pass -isp to
    dpkg-gencontrol.
  * debian/copyright: update.  Remove references to Linux.  Update
    location of GPL.

 -- James Troup <james@nocrew.org>  Sat,  5 Feb 2000 04:22:50 +0000

gawk (1:3.0.4-2) unstable; urgency=low

  * Apply MB patch from Ryuichi Arafune <arafune@debian.org>. [#43732]
  * test/Makefile.in: remove baffling test for /dev/fd which was causing
    problems on the Hurd. [#40309]

 -- James Troup <james@nocrew.org>  Fri,  8 Oct 1999 23:15:52 +0100

gawk (1:3.0.4-1) unstable; urgency=low

  * New upstream version.

 -- James Troup <james@nocrew.org>  Mon,  5 Jul 1999 00:05:42 +0100

gawk (3.0.46-1) unstable; urgency=low

  * New upstream BETA version.

 -- James Troup <james@nocrew.org>  Sat, 12 Jun 1999 20:13:31 +0100

gawk (3.0.3-2) unstable; urgency=low

  * debian/control (Standards-Version): Upgraded to 2.5.0.0.
  * debian/rules (binary-arch): don't compress examples.  [#14705]
  * debian/rules (binary-arch): pass `--libexecdir=/usr/lib' to configure
    to ensure passwd.awk knows where pwcat and grcat are.  [#22458 (1/4)]
  * debian/rules (binary-arch): `fix' the oh-so-important `bug' of an extra
    slash being passed to make in the libexecdir parameter. [#22458 (3/4)]
  * debian/rules (binary-arch): don't run make in awklib/; it's done in
    the build target which we already depend upon. [#22458 (4/4)]
  * debian/changelog: remove the explicit setting of the
    add-log-mailing-address emacs variable.

 -- James Troup <james@nocrew.org>  Wed, 25 Nov 1998 17:40:13 +0000

gawk (3.0.3-1) frozen unstable; urgency=high

  * debian/control (Maintainer): New maintainer.  However, I'm just an
    interim real maintainer, the package will go back to Chris as soon as
    he's ready.
  * debian/control (Standards-Version): Upgraded to 2.4.1.0.
  * debian/control (Depends): Made a Pre-Depends. [#20600]
  * debian/rules (binary-arch): Recompress everything but copyright under
    /usr/doc/gawk/, I'm afraid I agree with Scott and I don't subscribe to
    the debstd-style view of not compressing ``small'' files.
  * Restore Chris's debian/rules, as it was butchered by a non-maintainer
    upload.  Does no one listen to the "Maintainers other than the usual
    package maintainer should make as few changes to the package as
    possible" in policy?
  * debian/rules (binary-arch): don't install gawk-3.0.3.
  * debian/rules (binary-arch): don't install igawk.sh into
    /usr/doc/gawk/examples/ as we have igawk in /usr/bin/.
  * debian/rules (binary-arch): install architecture independent files
    from awklib in /usr/share/awk/ and architecture dependant files in
    /usr/lib/awk/. (3.0.3-0.{2,3} were confused about this)
  * awklib/eg/prog/igawk.sh: SECURITY: use mktemp to create temporary
    files instead of using gratuitously insecure /tmp/ig.[se].$$.
    3.0.3-0.3 altered the wrong file, fixing nothing and failed to exit if
    mktemp/tempfile failed. [*really* fixes #19713]
  * debian/control (Depends): depend on debianutils >= 1.7 (for mktemp).
  * debian/rules (clean): remove emacs backup files (*~).
  * pc/awklib/igawk: restore original.

  * Bugs fixed in 3.0.3-0.2 by Santiago Vila <sanvila@ctv.es> but
    described by nothing more than a bug report number are :-
  * debian/rules (binary-arch): pass correct values for datadir and
    libexecdir to make to avoid installing files in random places during
    make install. [#11339, #11435]
  * debian/rule (binary-arch): don't install a gawk-3.0.3 manpage
    symlink. [#13893, #17279]
  * debian/rules (binary-arch): install examples in
    /usr/doc/gawk/examples, not /usr/doc/gawk/awlib/eg/ [#16610 1/6].
    install pwcat and grcat uncompressed and stripped into /usr/lib/awk/
    [#16610 2/6].  Don't install the Makefile* from awklib [#1660 3/6],
    don't install the C source for pwcat and grcat [#16610 4/6], don't
    install the source for group.awk and passwd.awk [#16610 5/6] and
    install awklib/lib/* in /usr/lib/awk [#16610 5/6].

  * Bugs fixed in 3.0.3-0.1 by Martin Mitchell <martin@debian.org>, not by
    Santiago as he claims :-
  * New upstream version. [#10228]
  * New upstream version fixes memory leak [#12308] and problems with "awk
    'END { getline < "/dev/user" ; print }' /dev/null". [#13131]

 -- James Troup <awkmaint@nocrew.org>  Thu, 30 Apr 1998 15:19:52 +0200

gawk (3.0.3-0.3) frozen unstable; urgency=high

  * Non-maintainer release.
  * igawk fixed to use 'tempfile'. (closes #19713)

 -- Anthony Towns <ajt@debian.org>  Sat, 11 Apr 1998 08:27:40 +1000

gawk (3.0.3-0.2) unstable; urgency=medium

  * Non-maintainer release. Would fix (if made official) all currently
    open bugs: #5297, #10228, #11339, #11435, #12308, #13131, #13839,
    #14705, #16110 and #17279.
  * Updated FSF's postal address (discovered by lintian).
  * Added FUTURES, POSIX.STD, NEWS, README.FIRST and ACKNOWLEDGMENT
    to the /usr/doc/gawk directory.
  * Standards-Version: 2.4.0.0.

 -- Santiago Vila <sanvila@ctv.es>  Thu, 19 Feb 1998 21:03:44 +0100

gawk (3.0.3-0.1) unstable; urgency=low

  * Non-maintainer release.
  * Upgrade to latest upstream source.
  * Libc6 compile.

 -- Martin Mitchell <martin@debian.org>  Fri, 14 Nov 1997 11:08:45 +1100

gawk (3.0.2-1) unstable; urgency=low

  * Upgraded to the latest upstream.
  * Added symlink for man page gawk-3.0.2 -> gawk.
  * postinst: remove bad links in /usr/man/man1.
  * Moved to section interpreters.

 -- Chris Fearnley <cjf@netaxs.com>  Fri, 7 Mar 1997 14:58:42 -0500

gawk (3.0.1-1) unstable; urgency=low

  * Upgraded to the latest upstream.
  * Use Standards-Version: 2.1.2.2.

 -- Chris Fearnley <cjf@netaxs.com>  Mon, 23 Dec 1996 15:56:00 -0500

gawk (3.0.0-5) unstable; urgency=low

  * Fixed debian/rules clean so that it won't bail if Makefile doesn't
    exist (bug #4627)
  * Fixed postinst to install awk and nawk man pages correctly (bug #5164)

 -- Chris Fearnley <cjf@netaxs.com>  Sun, 3 Nov 1996 22:06:57 -0500

gawk (3.0.0-4) unstable; urgency=low

  * upgrade packaging to Debian Standards-Version 2.1.1.0
  * i386 development environment: gcc-2.7.2.1-1, libc5-5.2.18-11,
    libc5-dev-5.2.18-11, binutils-2.6-2, and make-3.74-12

 -- Chris Fearnley <cjf@netaxs.com>  Sat, 28 Sep 1996 13:42:42 -0400

gawk (3.0.0-3) unstable; urgency=low

  * upgrade to latest debian packaging guidelines
  * provides: awk
  * add query to the postinst asking if gawk should be the default awk/nawk
    (and in postrm undo this)
  * Development environment for i386: gcc-2.7.2-8 libc5-5.2.18-9 make-3.74-12

 -- Chris Fearnley <cjf@netaxs.com>  Wed, 7 Aug 1996 15:25:42 -0400

gawk (3.0.0-1) unstable; urgency=low

  * Upgraded to new upstream source
  * Compiled with: gcc-2.7.2-2, binutils-2.6-2, and libc5-5.2.18-1.

 -- Chris Fearnley <cjf@netaxs.com>  Mon, 29 Jan 1996 04:03:09 -0400

gawk (2.15.6-2) unstable; urgency=low

  * New maintainer Chris Fearnley <cjf@netaxs.com>
  * Changed postinst and prerm scripts to use update-alternatives
  * Cleaned up debian.rules
  * Added longer Description (taken directly from the man page)
  * Added the following files to /usr/doc/gawk: LIMITATIONS and PROBLEMS
  * ELF package

 -- Chris Fearnley <cjf@netaxs.com>  Sun, 3 Dec 1995 01:04:13 -0400
